# OgrePass.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreColourValue.h"`
`#include "OgreBlendMode.h"`
`#include "OgreCommon.h"`
`#include "OgreLight.h"`
`#include "OgreTextureUnitState.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef std::vector< IlluminationPass * > | IlluminationPassList

## Enumerations

enum | IlluminationStage { IS_AMBIENT, IS_PER_LIGHT, IS_DECAL, IS_UNKNOWN }
| Categorisation of passes for the purpose of additive lighting. More...

## Typedef Documentation

typedef std::vector<IlluminationPass*> Ogre::IlluminationPassList

| Definition at line 1598 of file OgrePass.h.

## Enumeration Type Documentation

enum Ogre::IlluminationStage

Categorisation of passes for the purpose of additive lighting.

Enumeration values:

  IS_AMBIENT | Part of the rendering which occurs without any kind of direct lighting.
  IS_PER_LIGHT | Part of the rendering which occurs per light.
  IS_DECAL | Post-lighting rendering.
  IS_UNKNOWN | Not determined.

Definition at line 43 of file OgrePass.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:44 2009